| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
fpt_data_ Struct Reference

Holds data for a single cascade summation. More...

`#include <fpt.h>`

Collaboration diagram for fpt_data_:
[legend]

## Data Fields
fpt_step ** | steps
| The cascade summation steps.
int | k_start
| TODO Add comment here. More...
double * | alphaN
| TODO Add comment here. More...
double * | betaN
| TODO Add comment here. More...
double * | gammaN
| TODO Add comment here. More...
double | alpha_0
| TODO Add comment here. More...
double | beta_0
| TODO Add comment here. More...
double | gamma_m1
| TODO Add comment here. More...
double * | _alpha
| < TODO Add comment here. More...
double * | _beta
| TODO Add comment here. More...
double * | _gamma
| TODO Add comment here. More...
bool | precomputed

## Detailed Description

Holds data for a single cascade summation.

Definition at line 45 of file fpt.h.

## Field Documentation

int fpt_data_::k_start

TODO Add comment here.

Definition at line 48 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double* fpt_data_::alphaN

TODO Add comment here.

Definition at line 49 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double* fpt_data_::betaN

TODO Add comment here.

Definition at line 50 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double* fpt_data_::gammaN

TODO Add comment here.

Definition at line 51 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double fpt_data_::alpha_0

TODO Add comment here.

Definition at line 52 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double fpt_data_::beta_0

TODO Add comment here.

Definition at line 53 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double fpt_data_::gamma_m1

TODO Add comment here.

Definition at line 54 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double* fpt_data_::_alpha

< TODO Add comment here.

TODO Add comment here.

Definition at line 56 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double* fpt_data_::_beta

TODO Add comment here.

Definition at line 57 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

double* fpt_data_::_gamma

TODO Add comment here.

Definition at line 58 of file fpt.h.

Referenced by fpt_init(), fpt_precompute(), and fpt_transposed().

The documentation for this struct was generated from the following file:

- fpt.h